%define name	hfsutils
%define version	3.2.6
%define release	12mdk

Summary:	Tools for reading and writing Macintosh HFS volumes
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source:		%{name}-%{version}.tar.bz2
Patch0:		hfsutils-3.2.6_errno.patch.bz2
Patch1:		hfsutils-3.2.6-lib64.patch.bz2

BuildRequires:	X11-devel tk tcl autoconf2.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
Group:		File tools
URL:		http://www.mars.org/home/rob/proj/hfs/

%package	devel
Summary:	C library for reading and writing Macintosh HFS volumes
Group:		Development/C
Conflicts:	cdrecord-devel

%description
A portable, free implementation of routines for accessing HFS volumes.
Provides this through several command-line programs, a tk-based front end
for browsing and copying files, and a Tcl package and interface for
scriptable access to volumes.

%description	devel
A portable, free implementation of routines for accessing HFS volumes via a
C library for low-level access to volumes.

%prep
%setup -q
%patch0 -p1 -b .errno
%patch1 -p1 -b .lib64
autoconf

%build
export CFLAGS="%optflags -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
%configure --with-tcl --with-tk --enable-devlibs --with-lib=%{_lib}

%make

%install
rm -fr $RPM_BUILD_ROOT
# (Dadou) Needed...
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}

# (Dadou) Don't use macros here
make install BINDEST=$RPM_BUILD_ROOT%_prefix/bin MANDEST=$RPM_BUILD_ROOT%_mandir LIBDEST=$RPM_BUILD_ROOT%_libdir INCDEST=$RPM_BUILD_ROOT%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc BLURB CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO
%config
%{_bindir}/*
%{_mandir}/man1/*

%files -n hfsutils-devel
%defattr (-,root,root)
%{_libdir}/*
%{_includedir}/*

%changelog
* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.2.6-12mdk
- fix buildrequires

* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.2.6-11mdk
- fix buildrequires

* Fri Oct  3 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.2.6-10mdk
- lib64 fixes

* Thu May  9 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.6-9mdk
- devel conflicts with cdrecord-devel: J.A. Magallon <jamagallon@able.es>

* Tue May  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.6-8mdk
- large file support

* Wed Apr  9 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.6-7mdk
- rebuild for new Tcl/Tk, errno patch (patch0)

* Sun Jun  2 2002 Stefan van der Eijk <stefan@eijk.nu> 3.2.6-6mdk
- BuildRequires

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.2.6-5mdk
- Automated rebuild in gcc3.1 environment

* Wed Feb  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.6-4mdk
- remove ExclusiveArch ppc, s/Copyright/License/, add URL

* Sat Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.6-3mdk
- Allow to build (ake big spec clean up, macros, BM & Co.)

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2.6-2mdk
- Spec cleanup.
- Adjust groups.

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
